package main

import "fmt"
import "net/http"
import "strconv"
import "os"
import "io"

func pippoFunc(w http.ResponseWriter, r *http.Request) {
	s := `
		<!doctype html>
			<title>Pagina Pippo</title>
			<h1>Pippo</h1>

			<p>Questa è la pagina pippo!

			<ul>
	`
	for i := 0; i < 10; i++ {
		s += "<li>" + strconv.Itoa(i)
	}
	s += "</ul>"
	s += "<img src=\"https://doctorvet.it/wp-content/uploads/2024/02/tipologie-di-feci-nel-cane-768x581.jpg\">"
	w.Write([]byte(s))
}

func babboFunc(w http.ResponseWriter, r *http.Request) {
	f, _ := os.Open("babbo.jpg")
	b, _ := io.ReadAll(f)
	w.Write(b)
}

func plutoFunc(w http.ResponseWriter, r *http.Request) {
	s := `
		<!doctype html>
			<title>Pagina Pluto</title>
			<h1>Pluto</h1>

			<p>Questa è la pagina pippo!

			<ul>
	`
	s += "<img src=\"http://localhost:3000/babbo\">"
	w.Write([]byte(s))
}


func main() {
	http.HandleFunc("/pippo", pippoFunc)
	http.HandleFunc("/babbo", babboFunc)
	http.HandleFunc("/pluto", plutoFunc)

	fmt.Println("Listening on http://localhost:3000/")
	http.ListenAndServe(":3000", nil)
}